com.ibm.openpages.api.trigger.events

## Class AbstractResourceEvent

- java.lang.Object
- - com.ibm.openpages.api.trigger.events.AbstractEvent
  - - com.ibm.openpages.api.trigger.events.AbstractResourceEvent

- Direct Known Subclasses:
    CreateResourceEvent, UpdateResourceEvent

      public class AbstractResourceEvent
      extends AbstractEvent

  Base class for events that involve Resource objects. All the resource events extend this class. Typically these events are for operations involving a single Resource. For example Create or Update events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractResourceEvent(TriggerEventType triggerEventType, IResource resource, TriggerPositionType position, Context context)` Constructor for resource event with the resource provided.
    `AbstractResourceEvent(TriggerEventType triggerEventType, TriggerPositionType position, Context context)` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IResource` | `getResource()` Return the resource object that is the focus of the event.

    - ### Methods inherited from class com.ibm.openpages.api.trigger.events.AbstractEvent

      `getContext, getPosition, getTriggerEventType, hasOuterCreateWithRelationsEvent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractResourceEvent

          public AbstractResourceEvent(TriggerEventType triggerEventType,
                                       TriggerPositionType position,
                                       Context context)

      Default constructor
      Parameters:
        `triggerEventType` - one of the trigger event types
        `position` - either pre or post
        `context` - the Context for the API

    - #### AbstractResourceEvent

          public AbstractResourceEvent(TriggerEventType triggerEventType,
                                       IResource resource,
                                       TriggerPositionType position,
                                       Context context)

      Constructor for resource event with the resource provided.
      Parameters:
        `triggerEventType` - one of the trigger event types
        `resource` - the folder or GRC object that is the focus of the event
        `position` - either pre or post
        `context` - context the Context for the API

  - ### Method Detail

    - #### getResource

          public IResource getResource()

      Return the resource object that is the focus of the event.
      Returns:
        resource representing either folder or GRC object

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.